Bug 1125919 - [abrt] gvfs-mtp: ptp_unpack_string(): gvfsd-mtp killed by SIGSEGV
Summary: [abrt] gvfs-mtp: ptp_unpack_string(): gvfsd-mtp killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gvfs
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ondrej Holy
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:873b72b47641b69ca77b8406812...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-01 10:52 UTC by danielbcourtney
Modified: 2015-06-29 21:53 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:53:36 UTC


Attachments (Terms of Use)
File: backtrace (25.64 KB, text/plain)
2014-08-01 10:52 UTC, danielbcourtney
no flags Details
File: cgroup (180 bytes, text/plain)
2014-08-01 10:52 UTC, danielbcourtney
no flags Details
File: core_backtrace (16.83 KB, text/plain)
2014-08-01 10:52 UTC, danielbcourtney
no flags Details
File: dso_list (3.16 KB, text/plain)
2014-08-01 10:52 UTC, danielbcourtney
no flags Details
File: environ (781 bytes, text/plain)
2014-08-01 10:52 UTC, danielbcourtney
no flags Details
File: exploitable (82 bytes, text/plain)
2014-08-01 10:52 UTC, danielbcourtney
no flags Details
File: limits (1.29 KB, text/plain)
2014-08-01 10:52 UTC, danielbcourtney
no flags Details
File: maps (14.96 KB, text/plain)
2014-08-01 10:52 UTC, danielbcourtney
no flags Details
File: open_fds (1.09 KB, text/plain)
2014-08-01 10:52 UTC, danielbcourtney
no flags Details
File: proc_pid_status (935 bytes, text/plain)
2014-08-01 10:52 UTC, danielbcourtney
no flags Details
File: var_log_messages (205 bytes, text/plain)
2014-08-01 10:52 UTC, danielbcourtney
no flags Details

Description danielbcourtney 2014-08-01 10:52:30 UTC
Description of problem:
Unknown.  Many processes and programs running simultaneously.  Unable to narrow down the cause.

Version-Release number of selected component:
gvfs-mtp-1.18.3-2.fc20

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/libexec/gvfsd-mtp --spawner :1.3 /org/gtk/gvfs/exec_spaw/2
crash_function: ptp_unpack_string
executable:     /usr/libexec/gvfsd-mtp
kernel:         3.15.6-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (8 frames)
 #0 ptp_unpack_string at ptp-pack.c:133
 #1 ptp_unpack_DPV at ptp-pack.c:740
 #2 ptp_getdevicepropvalue at ptp.c:1160
 #3 LIBMTP_Get_Friendlyname at libmtp.c:3560
 #4 get_device_info at gvfsbackendmtp.c:899
 #5 do_query_info at gvfsbackendmtp.c:1188
 #6 g_vfs_job_run at gvfsjob.c:197
 #8 g_thread_proxy at gthread.c:798

Comment 1 danielbcourtney 2014-08-01 10:52:32 UTC
Created attachment 923209 [details]
File: backtrace

Comment 2 danielbcourtney 2014-08-01 10:52:34 UTC
Created attachment 923210 [details]
File: cgroup

Comment 3 danielbcourtney 2014-08-01 10:52:35 UTC
Created attachment 923211 [details]
File: core_backtrace

Comment 4 danielbcourtney 2014-08-01 10:52:36 UTC
Created attachment 923212 [details]
File: dso_list

Comment 5 danielbcourtney 2014-08-01 10:52:37 UTC
Created attachment 923213 [details]
File: environ

Comment 6 danielbcourtney 2014-08-01 10:52:39 UTC
Created attachment 923214 [details]
File: exploitable

Comment 7 danielbcourtney 2014-08-01 10:52:40 UTC
Created attachment 923215 [details]
File: limits

Comment 8 danielbcourtney 2014-08-01 10:52:47 UTC
Created attachment 923216 [details]
File: maps

Comment 9 danielbcourtney 2014-08-01 10:52:48 UTC
Created attachment 923217 [details]
File: open_fds

Comment 10 danielbcourtney 2014-08-01 10:52:50 UTC
Created attachment 923218 [details]
File: proc_pid_status

Comment 11 danielbcourtney 2014-08-01 10:52:51 UTC
Created attachment 923219 [details]
File: var_log_messages

Comment 12 Fedora End Of Life 2015-05-29 12:32:12 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2015-06-29 21:53:36 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.